Share via


Agent Pools - Get Available Agent Pool Versions

Gets a list of supported Kubernetes versions for the specified agent pool.
See supported Kubernetes versions for more details about the version lifecycle.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/managedClusters/{resourceName}/availableAgentPoolVersions?api-version=2026-01-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

resourceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-_a-zA-Z0-9]{0,61}[a-zA-Z0-9]$

The name of the managed cluster resource.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

AgentPoolAvailableVersions

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get available versions for agent pool

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/availableAgentPoolVersions?api-version=2026-01-01

Sample response

{
  "name": "default",
  "type": "Microsoft.ContainerService/managedClusters/availableAgentpoolVersions",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/availableagentpoolversions",
  "properties": {
    "agentPoolVersions": [
      {
        "kubernetesVersion": "1.12.7"
      },
      {
        "kubernetesVersion": "1.12.8"
      },
      {
        "default": true,
        "isPreview": true,
        "kubernetesVersion": "1.13.5"
      }
    ]
  }
}

Definitions

Name Description
AgentPoolAvailableVersions

The list of available versions for an agent pool.

AgentPoolAvailableVersionsPropertiesAgentPoolVersionsItem

Available version information for an agent pool.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

AgentPoolAvailableVersions

The list of available versions for an agent pool.

Name Type Description
id

string

The ID of the agent pool version list.

name

string

The name of the agent pool version list.

properties.agentPoolVersions

AgentPoolAvailableVersionsPropertiesAgentPoolVersionsItem[]

List of versions available for agent pool.

type

string

Type of the agent pool version list.

AgentPoolAvailableVersionsPropertiesAgentPoolVersionsItem

Available version information for an agent pool.

Name Type Description
default

boolean

Whether this version is the default agent pool version.

isPreview

boolean

Whether Kubernetes version is currently in preview.

kubernetesVersion

string

The Kubernetes version (major.minor.patch).

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.